from zope.interface import implementer

from pyramid.interfaces import IAuthorizationPolicy


@implementer(IAuthorizationPolicy)
class PermissionAuthorizationPolicy(object):
    def permits(self, context, principals, permission):
        if isinstance(permission, str):
            return self.check(principals, permission)
        for p in permission:
            if self.check(principals, p):
                return True
        return False

    def check(self, principals, permission):
        if permission == "Authenticated":
            permission = "system.Authenticated"
        if permission == "Everyone":
            permission = "system.Everyone"
        allowed = permission in principals
        return allowed

    def principals_allowed_by_permission(self, context, permission):
        allowed = set()
        allowed.add(permission)
        return allowed
