import transaction
from pyramid.view import view_config

from barker.models import Reprint


@view_config(request_method='PUT', route_name='reprint', renderer='json', permission='Print Bill', trans=True)
def save(request):
    json = request.json_body
    item = Reprint(json['User']['UserID'], json['Voucher']['VoucherID'])
    request.dbsession.add(item)
    transaction.commit()
    item = request.dbsession.query(Reprint).filter(Reprint.id == item.id).first()
    return reprint_info(item)


def reprint_info(item):
    return {
        'ReprintID': item.id,
        'User': {'UserID': item.user_id, 'Name': item.user.name},
        'Voucher': {'VoucherID': item.voucher_id, 'BillID': item.bill_id},
    }
