import uuid

import transaction
from pyramid.view import view_config

from barker.models import Voucher, Overview
from barker.views.voucher.save import save
from barker.views.voucher.show import voucher_info


@view_config(
    request_method="POST",
    route_name="voucher_reprint",
    renderer="json",
    permission="Edit Printed Bill",
    trans=True,
)  # Permission error
def voucher_change(request):
    json = request.json_body
    id_ = uuid.UUID(request.matchdict["id"])
    item = save(json, request.dbsession)
    old = request.dbsession.query(Voucher).filter(Voucher.id == id_).first()
    old.void = True
    old.void_reason = "Bill Discounted / Changed. New Bill ID is {0}".format(
        item.full_bill_id
    )
    # TODO: Set the Void Settlement

    if old.status is None:
        item.status = Overview(
            voucher_id=None, food_table_id=item.food_table_id, status="printed"
        )
        request.dbsession.add(item.status)
    else:
        request.dbsession.query(Overview).filter(Overview.voucher_id == old.id).update(
            {Overview.voucher_id: item.id}
        )
    transaction.commit()
    item = request.dbsession.query(Voucher).filter(Voucher.id == item.id).first()
    return voucher_info(item)


