import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {LoginComponent} from './auth/login/login.component';
import {LogoutComponent} from './auth/logout/logout.component';
import {HomeComponent} from './home/home.component';

const routes: Routes = [
  {
    path: 'checkout',
    loadChildren: () => import('./cashier-checkout/cashier-checkout.module').then(mod => mod.CashierCheckoutModule)
  },
  {
    path: 'devices',
    loadChildren: () => import('./devices/devices.module').then(mod => mod.DevicesModule)
  },
  {
    path: 'guest-book',
    loadChildren: () => import('./guest-book/guest-book.module').then(mod => mod.GuestBookModule)
  },
  {
    path: 'modifiers',
    loadChildren: () => import('./modifiers/modifiers.module').then(mod => mod.ModifiersModule)
  },
  {
    path: 'modifier-categories',
    loadChildren: () => import('./modifier-categories/modifier-categories.module').then(mod => mod.ModifierCategoriesModule)
  },
  {
    path: 'printers',
    loadChildren: () => import('./printers/printers.module').then(mod => mod.PrintersModule)
  },
  {
    path: 'products',
    loadChildren: () => import('./product/products.module').then(mod => mod.ProductsModule)
  },
  {
    path: 'menu-categories',
    loadChildren: () => import('./menu-category/menu-categories.module').then(mod => mod.MenuCategoriesModule)
  },
  {
    path: 'roles',
    loadChildren: () => import('./roles/roles.module').then(mod => mod.RolesModule)
  },
  {
    path: 'sales',
    loadChildren: () => import('./sales/sales.module').then(mod => mod.SalesModule)
  },
  {
    path: 'sale-analysis',
    loadChildren: () => import('./sale-analysis/sale-analysis.module').then(mod => mod.SaleAnalysisModule)
  },
  {
    path: 'sale-categories',
    loadChildren: () => import('./sale-category/sale-categories.module').then(mod => mod.SaleCategoriesModule)
  },
  {
    path: 'sections',
    loadChildren: () => import('./sections/sections.module').then(mod => mod.SectionsModule)
  },
  {
    path: 'section-printers',
    loadChildren: () => import('./section-printers/section-printers.module').then(mod => mod.SectionPrintersModule)
  },
  {
    path: 'tables',
    loadChildren: () => import('./tables/tables.module').then(mod => mod.TableModule)
  },
  {
    path: 'taxes',
    loadChildren: () => import('./taxes/taxes.module').then(mod => mod.TaxesModule)
  },
  {
    path: 'users',
    loadChildren: () => import('./users/users.module').then(mod => mod.UsersModule)
  },
  {path: 'login', component: LoginComponent},
  {path: 'logout', component: LogoutComponent},
  {path: '', component: HomeComponent},
];
@NgModule({
  imports: [RouterModule.forRoot(routes,
      {
        onSameUrlNavigation: 'reload',
      })],
  exports: [RouterModule]
})
export class AppRoutingModule { }
