import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {CashierCheckout} from './cashier-checkout';
import {CashierCheckoutService} from './cashier-checkout.service';

@Injectable({
  providedIn: 'root'
})
export class CashierCheckoutResolver implements Resolve<CashierCheckout> {

  constructor(private ser: CashierCheckoutService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<CashierCheckout> {
    const id = route.paramMap.get('id');
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.list(id, startDate, finishDate);
  }
}
