import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { CashierCheckoutResolver } from './cashier-checkout-resolver.service';
import { AuthGuard } from '../auth/auth-guard.service';
import { CashierCheckoutComponent } from './cashier-checkout.component';
import { ActiveCashiersResolver } from './active-cashiers-resolver.service';

const CashierCheckoutRoutes: Routes = [
  {
    path: '',
    component: CashierCheckoutComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cashier Checkout'
    },
    resolve: {
      info: CashierCheckoutResolver,
      cashiers: ActiveCashiersResolver
    },
    runGuardsAndResolvers: 'always'
  },
  {
    path: ':id',
    component: CashierCheckoutComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cashier Checkout'
    },
    resolve: {
      info: CashierCheckoutResolver,
      cashiers: ActiveCashiersResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(CashierCheckoutRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    CashierCheckoutResolver
  ]
})
export class CashierCheckoutRoutingModule {
}
