import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {Device} from '../core/device';
import {Observable} from 'rxjs/internal/Observable';
import {DeviceService} from './device.service';

@Injectable({
  providedIn: 'root'
})
export class DeviceListResolver implements Resolve<Device[]> {

  constructor(private ser: DeviceService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Device[]> {
    return this.ser.list();
  }
}
