import { Component, OnInit } from '@angular/core';
import { DeviceListDataSource } from './device-list-datasource';
import { Device } from '../../core/device';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-device-list',
  templateUrl: './device-list.component.html',
  styleUrls: ['./device-list.component.css']
})
export class DeviceListComponent implements OnInit {
  dataSource: DeviceListDataSource;
  list: Device[];
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name'];

  constructor(private route: ActivatedRoute) {
  }

  ngOnInit() {
    this.route.data
      .subscribe((data: { list: Device[] }) => {
        this.list = data.list;
      });
    this.dataSource = new DeviceListDataSource(this.list);
  }
}
