import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {DeviceService} from './device.service';
import {Device} from '../core/device';
import {Observable} from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class DeviceResolver implements Resolve<Device> {

  constructor(private ser: DeviceService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Device> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
