import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {GuestBookService} from './guest-book.service';
import {GuestBook} from './guest-book';
import {Observable} from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class GuestBookDetailResolver implements Resolve<GuestBook> {

  constructor(private ser: GuestBookService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<GuestBook> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
