import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { GuestBookListComponent } from './guest-book-list/guest-book-list.component';
import { GuestBookDetailComponent } from './guest-book-detail/guest-book-detail.component';
import { AuthGuard } from '../auth/auth-guard.service';
import { GuestBookListResolver } from './guest-book-list-resolver.service';
import { GuestBookDetailResolver } from './guest-book-detail-resolver.service';

const routes: Routes = [
  {
    path: '',
    component: GuestBookListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Guest Book'
    },
    resolve: {
      list: GuestBookListResolver
    }
  },
  {
    path: 'new',
    component: GuestBookDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Guest Book'
    },
    resolve: {
      item: GuestBookDetailResolver
    }
  },
  {
    path: ':id',
    component: GuestBookDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Guest Book'
    },
    resolve: {
      item: GuestBookDetailResolver
    }
  }
];

@NgModule({
  declarations: [],
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
  providers: [
    GuestBookListResolver,
    GuestBookDetailResolver
  ]
})
export class GuestBookRoutingModule { }
