import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { MenuCategoryListResolver } from './menu-category-list-resolver.service';
import { MenuCategoryResolver } from './menu-category-resolver.service';
import { MenuCategoryListComponent } from './menu-category-list/menu-category-list.component';
import { MenuCategoryDetailComponent } from './menu-category-detail/menu-category-detail.component';
import { AuthGuard } from '../auth/auth-guard.service';

const menuCategoriesRoutes: Routes = [
  {
    path: '',
    component: MenuCategoryListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Products'
    },
    resolve: {
      list: MenuCategoryListResolver
    }
  },
  {
    path: 'new',
    component: MenuCategoryDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Products'
    },
    resolve: {
      item: MenuCategoryResolver
    }
  },
  {
    path: ':id',
    component: MenuCategoryDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Products'
    },
    resolve: {
      item: MenuCategoryResolver
    }
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(menuCategoriesRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    MenuCategoryListResolver,
    MenuCategoryResolver
  ]
})
export class MenuCategoriesRoutingModule {
}
