import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot } from '@angular/router';
import { MenuCategoryService } from './menu-category.service';
import { MenuCategory } from '../core/menu-category';
import { Observable } from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class MenuCategoryResolver implements Resolve<MenuCategory> {

  constructor(private ser: MenuCategoryService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<MenuCategory> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
