import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {ModifierCategory} from '../core/modifier-category';
import {Observable} from 'rxjs/internal/Observable';
import {ModifierCategoryService} from './modifier-category.service';

@Injectable({
  providedIn: 'root'
})
export class ModifierCategoryListResolver implements Resolve<ModifierCategory[]> {

  constructor(private ser: ModifierCategoryService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<ModifierCategory[]> {
    return this.ser.list();
  }
}
