import { Component, OnInit } from '@angular/core';
import { ModifierCategoryListDatasource } from './modifier-category-list-datasource';
import { ModifierCategory } from '../../core/modifier-category';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-modifier-category-list',
  templateUrl: './modifier-category-list.component.html',
  styleUrls: ['./modifier-category-list.component.css']
})
export class ModifierCategoryListComponent implements OnInit {
  dataSource: ModifierCategoryListDatasource;
  list: ModifierCategory[];
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'minimum', 'maximum', 'products', 'isActive'];

  constructor(private route: ActivatedRoute) {
  }

  ngOnInit() {
    this.route.data
      .subscribe((data: { list: ModifierCategory[] }) => {
        this.list = data.list;
      });
    this.dataSource = new ModifierCategoryListDatasource(this.list);
  }
}
