import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Modifier} from '../core/modifier';
import {Observable} from 'rxjs/internal/Observable';
import {ModifierService} from './modifier.service';

@Injectable({
  providedIn: 'root'
})
export class ModifierListResolver implements Resolve<Modifier[]> {

  constructor(private ser: ModifierService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Modifier[]> {
    return this.ser.list();
  }
}
