import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {ModifierService} from './modifier.service';
import {Modifier} from '../core/modifier';
import {Observable} from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class ModifierResolver implements Resolve<Modifier> {

  constructor(private ser: ModifierService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Modifier> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
