import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {Printer} from '../core/printer';
import {Observable} from 'rxjs/internal/Observable';
import {PrinterService} from './printer.service';

@Injectable({
  providedIn: 'root'
})
export class PrinterListResolver implements Resolve<Printer[]> {

  constructor(private ser: PrinterService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Printer[]> {
    return this.ser.list();
  }
}
