import { Component, OnInit } from '@angular/core';
import { PrinterListDataSource } from './printer-list-datasource';
import { Printer } from '../../core/printer';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-printer-list',
  templateUrl: './printer-list.component.html',
  styleUrls: ['./printer-list.component.css']
})
export class PrinterListComponent implements OnInit {
  dataSource: PrinterListDataSource;
  list: Printer[];
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'address', 'cutCode'];

  constructor(private route: ActivatedRoute) {
  }

  ngOnInit() {
    this.route.data
      .subscribe((data: { list: Printer[] }) => {
        this.list = data.list;
      });
    this.dataSource = new PrinterListDataSource(this.list);
  }
}
