import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {PrinterService} from './printer.service';
import {Printer} from '../core/printer';
import {Observable} from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class PrinterResolver implements Resolve<Printer> {

  constructor(private ser: PrinterService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Printer> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
