import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {PrinterListResolver} from './printer-list-resolver.service';
import {PrinterResolver} from './printer-resolver.service';
import {PrinterListComponent} from './printer-list/printer-list.component';
import {PrinterDetailComponent} from './printer-detail/printer-detail.component';
import {AuthGuard} from '../auth/auth-guard.service';

const printersRoutes: Routes = [
  {
    path: '',
    component: PrinterListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Printers'
    },
    resolve: {
      list: PrinterListResolver
    }
  },
  {
    path: 'new',
    component: PrinterDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Printers'
    },
    resolve: {
      item: PrinterResolver
    }
  },
  {
    path: ':id',
    component: PrinterDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Printers'
    },
    resolve: {
      item: PrinterResolver
    }
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(printersRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    PrinterListResolver,
    PrinterResolver
  ]
})
export class PrintersRoutingModule {
}
