import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {SaleAnalysis} from './sale-analysis';
import {SaleAnalysisService} from './sale-analysis.service';

@Injectable({
  providedIn: 'root'
})
export class SaleAnalysisResolver implements Resolve<SaleAnalysis> {

  constructor(private ser: SaleAnalysisService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<SaleAnalysis> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.get(startDate, finishDate);
  }
}
