import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { SaleAnalysisResolver } from './sale-analysis-resolver.service';
import { AuthGuard } from '../auth/auth-guard.service';
import { SaleAnalysisComponent } from './sale-analysis.component';

const SaleAnalysisRoutes: Routes = [
  {
    path: '',
    component: SaleAnalysisComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Sales Analysis'
    },
    resolve: {
      info: SaleAnalysisResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(SaleAnalysisRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    SaleAnalysisResolver
  ]
})
export class SaleAnalysisRoutingModule {
}
