import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot } from '@angular/router';
import { SaleCategory } from '../core/sale-category';
import { Observable } from 'rxjs/internal/Observable';
import { SaleCategoryService } from './sale-category.service';

@Injectable({
  providedIn: 'root'
})
export class SaleCategoryListResolver implements Resolve<SaleCategory[]> {

  constructor(private ser: SaleCategoryService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<SaleCategory[]> {
    return this.ser.list();
  }
}
