import { Component, OnInit, ViewChild } from '@angular/core';
import { SaleCategoryListDatasource } from './sale-category-list-datasource';
import { SaleCategory } from '../../core/sale-category';
import { ActivatedRoute, Router } from '@angular/router';
import { MatTable } from '@angular/material';
import { ToasterService } from '../../core/toaster.service';
import { SaleCategoryService } from '../sale-category.service';
import { BehaviorSubject } from 'rxjs';

@Component({
  selector: 'app-sale-category-list',
  templateUrl: './sale-category-list.component.html',
  styleUrls: ['./sale-category-list.component.css']
})
export class SaleCategoryListComponent implements OnInit {
  @ViewChild('table', { static: true }) table: MatTable<SaleCategory>;
  dataSource: SaleCategoryListDatasource;
  list: SaleCategory[];
  data: BehaviorSubject<SaleCategory[]>;
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'tax'];

  constructor(
    private route: ActivatedRoute,
    private router: Router,
    private toaster: ToasterService,
    private ser: SaleCategoryService
  ) {
    this.data = new BehaviorSubject([]);
    this.data.subscribe((data: SaleCategory[]) => {
      this.list = data;
    });
  }

  ngOnInit() {
    this.route.data
      .subscribe((data: { list: SaleCategory[] }) => {
        this.data.next(data.list);
      });
    this.dataSource = new SaleCategoryListDatasource(this.data);
  }
}
