import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot } from '@angular/router';
import { SaleCategoryService } from './sale-category.service';
import { SaleCategory } from '../core/sale-category';
import { Observable } from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class SaleCategoryResolver implements Resolve<SaleCategory> {

  constructor(private ser: SaleCategoryService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<SaleCategory> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
