import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';
import { VoucherService } from './voucher.service';
import { Bill } from './bill';

@Injectable({
  providedIn: 'root'
})
export class BillResolver implements Resolve<Bill> {

  constructor(private ser: VoucherService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Bill> {
    const tableId = route.queryParamMap.get('table');
    const guestId = route.queryParamMap.get('guest');
    const voucherId = route.queryParamMap.get('voucher');
    return this.ser.getFromTable(tableId, voucherId, guestId);
  }
}
