import {User} from '../../core/user';
import {Table} from '../../core/table';
import {GuestBook} from '../../guest-book/guest-book';
import {Product} from '../../core/product';
import {Tax} from '../../core/tax';
import {Modifier} from '../../core/modifier';

export class Inventory {
  id: string;
  product: Product;
  quantity: number;
  price: number;
  isHappyHour: boolean;
  taxRate: number;
  tax: Tax;
  discount: number;
  modifiers: Modifier[];
  sortOrder: number;

  public constructor(init?: Partial<Inventory>) {
    Object.assign(this, init);
  }
}

export class Kot {
  id: string;
  code: number;
  date: string;
  user: User;
  inventories: Inventory[];

  public constructor(init?: Partial<Kot>) {
    Object.assign(this, init);
  }
}

export class Bill {
  id: string;
  date: string;
  user: User;
  creationDate: string;
  lastEditDate: string;
  billId: string;
  table: Table;
  guest: GuestBook;
  settlements: any[];
  void: boolean;
  voidReason: string;
  voucherType: string;
  serial: number;
  kots: Kot[];
  reprints: any[];

  public constructor(init?: Partial<Bill>) {
    Object.assign(this, init);
  }
}

export enum PrintType {
  Kot = 'KOT',
  Bill = 'REGULAR_BILL',
  NoCharge = 'NO_CHARGE',
  Staff = 'STAFF'
}

