import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot } from '@angular/router';
import { MenuCategory } from '../../core/menu-category';
import { Observable } from 'rxjs/internal/Observable';
import { MenuCategoryService } from '../../menu-category/menu-category.service';

@Injectable({
  providedIn: 'root'
})
export class MenuCategoriesResolver implements Resolve<MenuCategory[]> {

  constructor(private ser: MenuCategoryService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<MenuCategory[]> {
    return this.ser.list();
  }
}
