import { Component, Inject } from '@angular/core';
import { ModifierCategory } from '../../core/modifier-category';
import { Modifier } from '../../core/modifier';
import { MAT_DIALOG_DATA } from '@angular/material';
import { Observable } from 'rxjs';

@Component({
  selector: 'app-modifiers',
  templateUrl: './modifiers.component.html',
  styleUrls: ['./modifiers.component.css']
})
export class ModifiersComponent {
  list: ModifierCategory[];
  selected: Modifier[];
  selectedIds: string[];

  constructor(@Inject(MAT_DIALOG_DATA) public data: { list: Observable<ModifierCategory[]>, selected: Modifier[] }) {
    this.data.list.subscribe((list: ModifierCategory[]) => {
      this.list = list;
    });
    this.selected = data.selected;
    this.selectedIds = this.selected.map(e => e.id);
  }

  select(m: Modifier) {
    const index = this.selectedIds.indexOf(m.id);
    if (index === -1) {
      this.selected.push(m);
    } else {
      this.selected.splice(index, 1);
    }
    this.selectedIds = this.selected.map(e => e.id);
  }
}
