import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {Table} from '../../core/table';
import {TableService} from '../../tables/table.service';

@Injectable({
  providedIn: 'root'
})
export class RunningTablesResolver implements Resolve<Table[]> {

  constructor(private ser: TableService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Table[]> {
    return this.ser.running();
  }
}
