import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, NavigationExtras, Router } from '@angular/router';
import { Table } from '../../core/table';

@Component({
  selector: 'app-running-tables',
  templateUrl: './running-tables.component.html',
  styleUrls: ['./running-tables.component.css']
})
export class RunningTablesComponent implements OnInit {
  list: Table[];

  constructor(private router: Router, private route: ActivatedRoute) {
  }

  ngOnInit() {
    this.route.data
      .subscribe((data: { list: Table[] }) => {
        this.list = data.list;
      });
  }

  navigateToBill(table: Table): void {
    const qp = {table: table.id};
    if (table.voucherId) {
      qp['voucher'] = table.voucherId;
    }
    const navigationExtras: NavigationExtras = {
      queryParams: qp,
      queryParamsHandling: 'merge',
      preserveFragment: true
    };
    this.router.navigate(['/sales', 'bill'], navigationExtras);
  }
}
