import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';
import { MatBadgeModule } from '@angular/material/badge';
import { MatButtonModule } from '@angular/material/button';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import { MatCardModule } from '@angular/material/card';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatChipsModule } from '@angular/material/chips';
import { MatDialogModule } from '@angular/material/dialog';
import { MatDividerModule } from '@angular/material/divider';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatRippleModule, MatTooltipModule } from '@angular/material';
import { MatTableModule } from '@angular/material/table';
import { MatTabsModule } from '@angular/material/tabs';
import { FlexLayoutModule } from '@angular/flex-layout';

import { SharedModule } from '../shared/shared.module';
import { SalesRoutingModule } from './sales-routing.module';
import { RunningTablesComponent } from './running-tables/running-tables.component';
import { MenuCategoriesComponent } from './menu-categories/menu-categories.component';
import { ProductsComponent } from './products/products.component';
import { ModifiersComponent } from './modifiers/modifiers.component';
import { BillsComponent } from './bills/bills.component';
import { SalesHomeComponent } from './home/sales-home.component';
import { BillService } from './bill.service';
import { QuantityComponent } from './quantity/quantity.component';
import { DiscountComponent } from './discount/discount.component';
import { BillTypeComponent } from './bill-type/bill-type.component';
import { ReceivePaymentComponent } from './receive-payment/receive-payment.component';
import { TablesDialogComponent } from './tables-dialog/tables-dialog.component';
import { VoidReasonComponent } from './void-reason/void-reason.component';

@NgModule({
  providers: [
    BillService
  ],
  declarations: [
    BillsComponent,
    BillTypeComponent,
    DiscountComponent,
    MenuCategoriesComponent,
    ModifiersComponent,
    ProductsComponent,
    QuantityComponent,
    ReceivePaymentComponent,
    RunningTablesComponent,
    SalesHomeComponent,
    TablesDialogComponent,
    VoidReasonComponent
  ],
  imports: [
    CommonModule,
    FlexLayoutModule,
    ReactiveFormsModule,
    MatBadgeModule,
    MatButtonModule,
    MatButtonToggleModule,
    MatCardModule,
    MatCheckboxModule,
    MatChipsModule,
    MatDialogModule,
    MatDividerModule,
    MatIconModule,
    MatInputModule,
    MatRippleModule,
    MatTableModule,
    MatTabsModule,
    MatTooltipModule,
    SharedModule,
    SalesRoutingModule
  ],
  entryComponents: [
    BillTypeComponent,
    DiscountComponent,
    ModifiersComponent,
    QuantityComponent,
    ReceivePaymentComponent,
    TablesDialogComponent,
    VoidReasonComponent
  ]
})
export class SalesModule { }
