import { Component } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { VoidReasonDatasource } from './void-reason-datasource';

@Component({
  selector: 'app-void-reason',
  templateUrl: './void-reason.component.html',
  styleUrls: ['./void-reason.component.css']
})
export class VoidReasonComponent {
  dataSource: VoidReasonDatasource;
  selected: string;
  reasons = [
    'Discount',
    'Printing fault',
    'Item changed',
    'Quantity reduced',
    'Costing bill for party',
    'Cashier mistake',
    'Management free sale',
    'Other'
    ];
  displayedColumns = ['reason'];

  constructor(
    public dialogRef: MatDialogRef<VoidReasonComponent>
  ) {
    this.dataSource = new VoidReasonDatasource(this.reasons);
  }

  select(reason: string) {
    this.selected = reason;
  }

  accept(): void {
    this.dialogRef.close(this.selected);
  }
}
