import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {SectionPrinterResolver} from './section-printer-resolver.service';
import {SectionPrinterComponent} from './section-printer.component';
import {AuthGuard} from '../auth/auth-guard.service';
import {SectionListResolver} from '../sections/section-list-resolver.service';
import {PrinterListResolver} from '../printers/printer-list-resolver.service';

const sectionPrinterRoutes: Routes = [
  {
    path: '',
    component: SectionPrinterComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Section Printers'
    },
    resolve: {
      item: SectionPrinterResolver,
      sections: SectionListResolver,
      printers: PrinterListResolver
    }
  },
  {
    path: ':id',
    component: SectionPrinterComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Section Printers'
    },
    resolve: {
      item: SectionPrinterResolver,
      sections: SectionListResolver,
      printers: PrinterListResolver
    }
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(sectionPrinterRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    SectionPrinterResolver
  ]
})
export class SectionPrintersRoutingModule {
}
