import { Component, OnInit } from '@angular/core';
import { SectionListDataSource } from './section-list-datasource';
import { Section } from '../../core/section';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-section-list',
  templateUrl: './section-list.component.html',
  styleUrls: ['./section-list.component.css']
})
export class SectionListComponent implements OnInit {
  dataSource: SectionListDataSource;
  list: Section[];
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name'];

  constructor(private route: ActivatedRoute) {
  }

  ngOnInit() {
    this.route.data
      .subscribe((data: { list: Section[] }) => {
        this.list = data.list;
      });
    this.dataSource = new SectionListDataSource(this.list);
  }
}
