import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {SectionService} from './section.service';
import {Section} from '../core/section';
import {Observable} from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class SectionResolver implements Resolve<Section> {

  constructor(private ser: SectionService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Section> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
