import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {Table} from '../core/table';
import {Observable} from 'rxjs/internal/Observable';
import {TableService} from './table.service';

@Injectable({
  providedIn: 'root'
})
export class TableListResolver implements Resolve<Table[]> {

  constructor(private ser: TableService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Table[]> {
    return this.ser.list();
  }
}
