import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {TableService} from './table.service';
import {Table} from '../core/table';
import {Observable} from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class TableResolver implements Resolve<Table> {

  constructor(private ser: TableService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Table> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
