import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {Tax} from '../core/tax';
import {Observable} from 'rxjs/internal/Observable';
import {TaxService} from './tax.service';

@Injectable({
  providedIn: 'root'
})
export class TaxListResolver implements Resolve<Tax[]> {

  constructor(private ser: TaxService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Tax[]> {
    return this.ser.list();
  }
}
