import { Component, OnInit } from '@angular/core';
import { TaxListDataSource } from './tax-list-datasource';
import { Tax } from '../../core/tax';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-tax-list',
  templateUrl: './tax-list.component.html',
  styleUrls: ['./tax-list.component.css']
})
export class TaxListComponent implements OnInit {
  dataSource: TaxListDataSource;
  list: Tax[];
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'rate', 'isFixture'];

  constructor(private route: ActivatedRoute) {
  }

  ngOnInit() {
    this.route.data
      .subscribe((data: { list: Tax[] }) => {
        this.list = data.list;
      });
    this.dataSource = new TaxListDataSource(this.list);
  }
}
