import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {TaxService} from './tax.service';
import {Tax} from '../core/tax';
import {Observable} from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class TaxResolver implements Resolve<Tax> {

  constructor(private ser: TaxService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Tax> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
