import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {TaxListResolver} from './tax-list-resolver.service';
import {TaxResolver} from './tax-resolver.service';
import {TaxListComponent} from './tax-list/tax-list.component';
import {TaxDetailComponent} from './tax-detail/tax-detail.component';
import {AuthGuard} from '../auth/auth-guard.service';

const taxesRoutes: Routes = [
  {
    path: '',
    component: TaxListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Taxes'
    },
    resolve: {
      list: TaxListResolver
    }
  },
  {
    path: 'new',
    component: TaxDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Taxes'
    },
    resolve: {
      item: TaxResolver
    }
  },
  {
    path: ':id',
    component: TaxDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Taxes'
    },
    resolve: {
      item: TaxResolver
    }
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(taxesRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    TaxListResolver,
    TaxResolver
  ]
})
export class TaxesRoutingModule {
}
