import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(here, 'README.txt')) as f:
    README = f.read()
with open(os.path.join(here, 'CHANGES.txt')) as f:
    CHANGES = f.read()

requires = [
    'pyramid',
    'waitress',
    'pyramid_tm',
    'transaction',
    'zope.sqlalchemy',
    'SQLAlchemy',
    'psycopg2-binary',
]

setup(name='barker',
      version='1.0.0-alpha.5',
      description='barker',
      long_description=README + '\n\n' + CHANGES,
      classifiers=[
          "Programming Language :: Python",
          "Framework :: Pyramid",
          "Topic :: Internet :: WWW/HTTP",
          "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
      ],
      author='Tanshu',
      author_email='barker@tanshu.com',
      url='http://tanshu.com',
      keywords='web pyramid pylons',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      install_requires=requires,
      tests_require=requires,
      test_suite="barker",
      entry_points={
          'paste.app_factory': [
              'main = barker:main',
          ],
          'console_scripts': [
              'initdb = barker.scripts.initializedb:main',
              'fixtures = barker.scripts.fixtures:main',
          ],
      }
      )
